Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357088 - [abrt] firefox: nsProfileLock::FatalSignalHandler(): firefox killed by SIGSEGV
Summary: [abrt] firefox: nsProfileLock::FatalSignalHandler(): firefox killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9b230eb3c42e5d31c30e99af47c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-15 16:40 UTC by Marcel
Modified: 2016-11-07 22:50 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-08 14:12:05 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-15 16:40 UTC, Marcel
no flags Details
File: cgroup (deleted)
2016-07-15 16:40 UTC, Marcel
no flags Details
File: core_backtrace (deleted)
2016-07-15 16:40 UTC, Marcel
no flags Details
File: dso_list (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details
File: environ (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details
File: limits (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details
File: maps (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details
File: mountinfo (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details
File: namespaces (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details
File: open_fds (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details
File: proc_pid_status (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details
File: var_log_messages (deleted)
2016-07-15 16:41 UTC, Marcel
no flags Details

Description Marcel 2016-07-15 16:40:50 UTC
Description of problem:
i closed firefox

Version-Release number of selected component:
firefox-47.0.1-2.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     3951
kernel:         4.6.3-libre.300.fc24.gnu.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #1 nsProfileLock::FatalSignalHandler at /usr/src/debug/firefox-47.0.1/firefox-47.0.1/toolkit/profile/nsProfileLock.cpp:181
 #2 AsmJSFaultHandler at /usr/src/debug/firefox-47.0.1/firefox-47.0.1/js/src/asmjs/WasmSignalHandlers.cpp:1157
 #4 mozilla::(anonymous namespace)::RunWatchdog at /usr/src/debug/firefox-47.0.1/firefox-47.0.1/toolkit/components/terminator/nsTerminator.cpp:158
 #5 _pt_root at ../../../nspr/pr/src/pthreads/ptthread.c:216

Potential duplicate: bug 1305142

Comment 1 Marcel 2016-07-15 16:40:56 UTC
Created attachment 1180209 [details]
File: backtrace

Comment 2 Marcel 2016-07-15 16:40:57 UTC
Created attachment 1180210 [details]
File: cgroup

Comment 3 Marcel 2016-07-15 16:40:59 UTC
Created attachment 1180211 [details]
File: core_backtrace

Comment 4 Marcel 2016-07-15 16:41:00 UTC
Created attachment 1180212 [details]
File: dso_list

Comment 5 Marcel 2016-07-15 16:41:02 UTC
Created attachment 1180213 [details]
File: environ

Comment 6 Marcel 2016-07-15 16:41:03 UTC
Created attachment 1180214 [details]
File: limits

Comment 7 Marcel 2016-07-15 16:41:06 UTC
Created attachment 1180215 [details]
File: maps

Comment 8 Marcel 2016-07-15 16:41:08 UTC
Created attachment 1180216 [details]
File: mountinfo

Comment 9 Marcel 2016-07-15 16:41:09 UTC
Created attachment 1180217 [details]
File: namespaces

Comment 10 Marcel 2016-07-15 16:41:11 UTC
Created attachment 1180218 [details]
File: open_fds

Comment 11 Marcel 2016-07-15 16:41:13 UTC
Created attachment 1180219 [details]
File: proc_pid_status

Comment 12 Marcel 2016-07-15 16:41:14 UTC
Created attachment 1180220 [details]
File: var_log_messages

Comment 13 Peter 2016-07-18 14:08:49 UTC
Similar problem has been detected:

Crashed when opening
https://fedoramagazine.org/bc-command-line-calculator/

reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     16827
kernel:         4.6.3-300.fc24.x86_64
package:        firefox-47.0.1-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         firefox killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Michael 2016-08-06 14:11:08 UTC
*** Bug 1364721 has been marked as a duplicate of this bug. ***

Comment 15 Paul Lazaga 2016-08-10 03:10:18 UTC
Similar problem has been detected:

accessing http://www2.realtoractioncenter.com/site/R?i=bMxb-O4oxu9NO1wxC_Ef3Q

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox http://www2.realtoractioncenter.com/site/R?i=bMxb-O4oxu9NO1wxC_Ef3Q
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     8506
kernel:         4.6.5-300.fc24.x86_64
package:        firefox-48.0-5.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 16 Andrew Cook 2016-08-13 04:32:29 UTC
Similar problem has been detected:

Manually killed due to lockup

Visiting youtube reliably deadlocks firefox on my machine right now, on any profile

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     25264
kernel:         4.6.4-301.fc24.x86_64
package:        firefox-48.0-5.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Yamin 2016-08-21 18:45:40 UTC
*** Bug 1368837 has been marked as a duplicate of this bug. ***

Comment 18 Marcos R Oliveira 2016-08-22 20:40:32 UTC
*** Bug 1369254 has been marked as a duplicate of this bug. ***

Comment 19 Gregory Seaborn 2016-08-24 15:59:07 UTC
*** Bug 1369896 has been marked as a duplicate of this bug. ***

Comment 20 Frans Mosch 2016-08-26 14:36:27 UTC
*** Bug 1370522 has been marked as a duplicate of this bug. ***

Comment 21 Yajo 2016-08-27 06:30:07 UTC
Similar problem has been detected:

I just opened it.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     5080
kernel:         4.6.6-300.fc24.x86_64
package:        firefox-48.0-5.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Woi 2016-09-23 12:31:15 UTC
*** Bug 1378876 has been marked as a duplicate of this bug. ***

Comment 23 enrico ugazio 2016-10-04 14:45:13 UTC
*** Bug 1381615 has been marked as a duplicate of this bug. ***

Comment 24 Nicholas Youell 2016-10-10 09:17:36 UTC
*** Bug 1383234 has been marked as a duplicate of this bug. ***

Comment 25 TyMan 2016-10-12 19:57:43 UTC
*** Bug 1384207 has been marked as a duplicate of this bug. ***

Comment 26 igiwatson 2016-10-13 12:28:58 UTC
Similar problem has been detected:

firefox was open with 9 tabs. Last one https://www.google.co.uk
I searched for phrase 'fir filter designer' and it crashed.
Does not repeat.
An octave job was running in background, using some 4-6Gbyte of memory. 16G in total.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     3258
kernel:         4.7.6-200.fc24.x86_64
package:        firefox-49.0-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1004

Comment 27 Christian Jose 2016-10-31 22:42:43 UTC
Similar problem has been detected:

No idea - I was browsing a page and Firefox just quit.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
crash_function: nsProfileLock::FatalSignalHandler
executable:     /usr/lib64/firefox/firefox
global_pid:     1880
kernel:         4.7.9-200.fc24.x86_64
package:        firefox-49.0-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         firefox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            2048

Comment 28 Joe Gallagher 2016-11-07 19:42:50 UTC
*** Bug 1392575 has been marked as a duplicate of this bug. ***

Comment 29 GERARDOSbox-listas 2016-11-07 22:50:28 UTC
*** Bug 1392630 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.